<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.example.torwitharti.ui.home.ConnectFragmentViewModel" />

        <import type="android.view.View" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:padding="16dp"
        tools:context=".ui.home.ConnectFragment">

        <ImageView
            android:id="@+id/iv_connect_status_icon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_explore"
            android:layout_marginTop="64dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_connect_status_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:text="@string/frag_connect_explore_pri"
            android:textAppearance="@style/title_in_fragment"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/iv_connect_status_icon" />

        <TextView
            android:id="@+id/tv_connect_status_subtitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:text="@string/frag_connect_you_re_read"
            android:textAppearance="@style/subtitle_in_fragment"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_connect_status_title" />

        <androidx.viewpager2.widget.ViewPager2
            android:id="@+id/vp_2_guide"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="24dp"
            android:visibility="visible"
            app:layout_constraintBottom_toTopOf="@+id/vp2_indicator"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_connect_status_subtitle" />

        <com.google.android.material.tabs.TabLayout
            android:id="@+id/vp2_indicator"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:padding="0dp"
            app:layout_constraintBottom_toTopOf="@+id/include"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:tabBackground="@drawable/tab_pager_selector"
            app:tabGravity="center"
            app:tabIndicatorHeight="0dp"
            app:tabMode="fixed"
            app:tabPadding="0dp" />

        <include
            android:id="@+id/include"
            layout="@layout/include_fragment_connect_actions"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:viewModel="@{viewModel}" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
